<!DOCTYPE html>
<html lang="en">
<head>
     <meta charset="UTF-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <title>Task 32.60</title>

     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>
<body>
     <div class="container">
          <div class="text-center">
               <h2>Danh sách ảnh của album số 3</h2>
          </div>
          <table class="table table-bordered table-striped table-hover" id="table-album">
               <thead>
                    <tr class="text-center">
                         <th>STT</th>
                         <th>Album</th>
                         <th>Title</th>
                         <th>Url ảnh</th>
                         <th>Thumbnail</th>
                    </tr>
               </thead>
               <tbody></tbody>
          </table>
     </div>
</body>

<script>
     "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
     $(document).ready(function(){
          onPageLoading();
     })
   /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
     //hàm xử lý việc tải trang 
      function onPageLoading(){
          CallAPIGetDataAlbum();
      }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    //hàm goi api để lấy dữ liệu 
    function CallAPIGetDataAlbum(paramAlbumObj){
     "use strict"
     $.ajax({
          url: "https://jsonplaceholder.typicode.com/albums/3/photos",
          type: "GET", 
          dataType: "json", 
          success: function(res){
               console.log(res);
               loadDataToTableAlbum(res);
          }, 
          error: function(ajaxContext){
               alert(ajaxContext.responseText);
          }
     });
    }

    //hàm load dữ liệu lên bảng 
    function loadDataToTableAlbum(paramAlbumObj){
     for(var bI = 0; bI < paramAlbumObj.length; bI++){
          //tạo row: hàng
          var bNewRow = $("<tr>").appendTo("#table-album");
          //tạo cell: cột 
          $("<td>").html(paramAlbumObj[bI].id).appendTo(bNewRow);
          $("<td>").html(paramAlbumObj[bI].albumId).appendTo(bNewRow);
          $("<td>").html(paramAlbumObj[bI].title).appendTo(bNewRow);
          $("<td>").html(paramAlbumObj[bI].url).appendTo(bNewRow);
          $("<td>").append($("<img>").attr("src", paramAlbumObj[bI].thumbnailUrl)).appendTo(bNewRow);
     }
    }
</script>
</html>